Bug 317901 - Review Request: culmus-fonts - Fonts for Hebrew from Culmus project
Summary: Review Request: culmus-fonts - Fonts for Hebrew from Culmus project
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-04 08:09 UTC by Rahul Bhalerao
Modified: 2007-11-30 22:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-17 07:55:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
Modified SPEC. (1.48 KB, text/x-rpm-spec)
2007-10-04 11:08 UTC, Parag AN(पराग)
no flags Details

Description Rahul Bhalerao 2007-10-04 08:09:47 UTC
Spec URL: <http://rbhalera.fedorapeople.org/calmus-fonts/calmus-fonts.spec>
SRPM URL: <http://rbhalera.fedorapeople.org/calmus-fonts/calmus-fonts-0.100-1.fc8.src.rpm>
Description: The calmus-fonts package contains fonts for the display of
Hebrew from the Culmus project. This package is being split from fonts-hebrew.

Comment 2 Parag AN(पराग) 2007-10-04 11:08:51 UTC
Created attachment 215681 [details]
Modified SPEC.

Attached is some more fonts packaging cleanups to SPEC

Comment 4 Parag AN(पराग) 2007-10-04 18:02:19 UTC
thanks for updates.
will do full review.

Comment 5 Parag AN(पराग) 2007-10-05 03:34:45 UTC
we don't need fonts.cache-1 file. Remove it and submit updated package.

Comment 6 Parag AN(पराग) 2007-10-05 03:46:38 UTC
Also,
Source URL should be
http://downloads.sourceforge.net/sourceforge/%{fontname}/%{fontname}-%{version}.tar.gz

Remove Source1 as upstream tarball already provides LICENSE-BITSTREAM


Comment 7 Rahul Bhalerao 2007-10-05 08:32:41 UTC
Are we using full absolute source paths anywhere? 

Comment 8 Parag AN(पराग) 2007-10-05 09:24:16 UTC
(In reply to comment #7)
> Are we using full absolute source paths anywhere? 

Check http://fedoraproject.org/wiki/Packaging/SourceURL

There you will find "For the Fedora packager, this means that sources used to
build a package should be the vanilla sources available from upstream. To help
reviewers and QA scripts verify this, the packager needs to indicate where a
reviewer can find the source that was used to make the rpm."

And if Red Hat is maintaining source as upstream then check
http://fedoraproject.org/wiki/Packaging/SourceURL#head-413e1c297803cfa9de0cc4c56f3ac384bff5dc9e


Comment 10 Parag AN(पराग) 2007-10-12 03:18:48 UTC
I think this package should have license GPLv2. 


Comment 11 Jens Petersen 2007-10-12 05:15:04 UTC
Yes, LICENSE says:

"This package is distributed under the terms of GNU General Public
License version 2 (see file GNU-GPL)."

(the intention might have been GPLv2+ but that is not clearly stated).



Comment 12 Parag AN(पराग) 2007-10-15 09:21:19 UTC
update license to GPLv2.
rest is ok.

Comment 14 Parag AN(पराग) 2007-10-15 10:04:54 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
4dff942d859b9cac569d791c664e66a5  culmus-0.101.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Not a GUI App.
APPROVED.
                      

Comment 15 Rahul Bhalerao 2007-10-15 11:12:28 UTC
New Package CVS Request
=======================
Package Name: culmus-fonts
Short Description: Fonts for Hebrew language from Culmus project
Owners: rbhalera
Branches: devel
InitialCC: petersen
Cvsextras Commits: yes



Comment 16 Kevin Fenzi 2007-10-15 15:36:57 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.